% !TEX program = latexmk
% !TEX encoding = UTF-8 Unicode
% !TEX options = -xelatex -shell-escape -xelatex -pvc -e '$pdf_previewer = "xdg-open"' "%DOC%"
% vim: ft=tex

\documentclass[relativepath=./gpppi-latex/]{./gpppi-latex/gpppi}


% TITLES
\setcounter{secnumdepth}{4}
\setcounter{tocdepth}{4}
\renewcommand\theparagraph{\thesubsubsection.\arabic{paragraph}}
\titleformat{\paragraph}{\fontsize{12}{18}\itshape\sffamily}{\theparagraph}{1em}{}
\titlespacing*{\paragraph}{0pt}{12pt}{6pt}

% \titleclass{\subsubsubsection}{straight}[\subsection]
% \newcounter{subsubsubsection}[subsubsection]

% DATA
\usepackage{datatool}
\DTLsetseparator{ = }
\newcommand{\data}[2]{\DTLgetvalueforkey\currentvalue{thevalue}{#1}{thekey}{#2}\currentvalue}
\newcommand{\numdata}[2]{\DTLgetvalueforkey\currentvalue{thevalue}{#1}{thekey}{#2}\num{\currentvalue}}
\newcommand{\SIdata}[3]{\DTLgetvalueforkey\currentvalue{thevalue}{#1}{thekey}{#2}\SI{\currentvalue}{#3}}

% MATRICES
\newcommand{\matr}[1]{\mathbf{#1}}
\usepackage{arydshln}


% TEXT HIGHLIGHT
\usepackage{soul}
\newcommand{\hltext}[1]{\textbf{\hl{\Huge #1}}}


% TIKZ Block Diagrams
\tikzset{
block/.style = {draw, fill=white, rectangle, minimum height=3em, minimum width=3em},
sum/.style = {draw, fill=white, circle, node distance=1cm},
connection/.style = {draw, text width=0, circle, minimum size=1mm, inner sep=0pt, outer sep=0pt, fill=black},
opampdownlbl/.style={
            below,
            draw=none,
            append after command={
                (\tikzlastnode.north) edge ([shift={(-5pt,0pt)}]\tikzlastnode.north) edge ([shift={(+5pt,0pt)}]\tikzlastnode.north)
            }},
        opampuplbl/.style={
            above,
            draw=none,
            append after command={
                (\tikzlastnode.south) edge ([shift={(-5pt,0pt)}]\tikzlastnode.south) edge ([shift={(+5pt,0pt)}]\tikzlastnode.south)
            }},
}

\begin{document}

% \DTLloaddb[noheader, keys={thekey,thevalue}]{P1_bo}{./Scripts/P1_systeme_bo.dat}
% \DTLloaddb[noheader, keys={thekey,thevalue}]{P1_vitesse_P}{./Scripts/P1_regulateur_vitesse_P.dat}
% \DTLloaddb[noheader, keys={thekey,thevalue}]{P1_vitesse_PI}{./Scripts/P1_regulateur_vitesse_PI.dat}
% \DTLloaddb[noheader, keys={thekey,thevalue}]{P1_position_P}{./Scripts/P1_regulateur_position_P.dat}
% \DTLloaddb[noheader, keys={thekey,thevalue}]{P1_position_PID_compensation}{./Scripts/P1_regulateur_position_PID_compensation.dat}
% \DTLloaddb[noheader, keys={thekey,thevalue}]{P1_position_PID_essai_erreur}{./Scripts/P1_regulateur_position_PID_essai_erreur.dat}

%
% Sous-systèmes
%
\section{Sous-systèmes}
\input{sections/S2-Sous-systèmes/S2-sous-systèmes.tex}

\gpppireferences
\clearpage

\begin{appendices}
\section{Règlements d'Eurobot Open 2020}
\label{appendix:regles}
\addcontentsline{toc}{section}{Annexe A : Règlements d'Eurobot Open 2020}

\section{Code C++ implémentant le protocole \ItwoC pour Teensy}
\label{appendix:S2-1-cpp-i2c}
\cppscript{./scripts/S2-1-i2c.cpp}

\clearpage
\end{appendices}

\end{document}
